package fsets
@fwords=[format_scan_onjoin_nicks_border format_scan_nicks_border format_scan_onjoin_nicks format_scan_users_op format_scan_users_non format_scan_users_voc format_scan_users format_scan_header format_scan_nicks format_scan_footer format_timestamp format_timestamp_some format_whois_signon format_whois_actual format_who format_whois_header format_whois_admin format_whois_nick format_whois_name format_whois_channels format_whois_server format_whois_away format_whois_operator format_whois_idle format_whois_unknown format_whois_footer format_whowas_header format_whowas_nick format_whowas_name format_whowas_unknown format_whowas_footer format_sort format_user_non format_chops format_bwall format_msg format_send_msg format_public format_send_public format_public_other format_signoff format_join format_leave format_mode format_notice format_public_notice format_send_notice format_send_dcc_chat format_dcc_chat  format_topic format_ctcp format_send_ctcp format_nick_comp format_sv format_wall format_away format_back format_action format_action_other format_desc format_send_desc format_wallop format_nickname format_invite format_dcc_connect format_dcc_request format_kick format_ctcp_reply format_server_notice format_dcc_lost_chat format_dcc_lost_file format_dcc_done_file] 
^on ^set "format_*" {
	if ([$0]) {
   		if (!pattern(*$0* $fwords)) {
    		banner.lchead
    		banner.mid [a+c] $0 format not found
    		banner.lcfoot
  		}{
			if (pattern(*$0* $fwords) && [$1]) {
			@format_choice=[$after(_ $0)]                  
                	@format_$after(_ $0)=[$1-]  
				xecho -v [a+c] fset $0 changed to $1-
			}{
				fe ($pattern(*$0* $fwords)) a1 {
					xecho -v [a+c] $[31]a1 ...... $($a1)		
				}			
			}
		}
	}  
}
alias sfset {
	@format_choice=[$after(_ $0)]
	@format_$after(_ $0)=[$1-]  
}               


alias fset if (![$0]) {
	fe ($fwords) _a1 {
		set $_a1 
	}
}{
	if (pattern(*$0* $fwords)) {
		 set $0 $1-
	}		
}
alias fparse {eval return $(cparse($*))}
alias fparse {eval return $(cparse($($*)))}
@ format_msg_group = [%K-$$(c2)$$1%K:$$(c1)$$2%K-%n $$3-]
@ format_wallop = [%K!$$(c1)$$1:$$2%K! %n$$3-] 
@ format_nickname = [$$G %w$$1%n is now known as $$(c3)$$2]
@ format_invite = [$$G %K<$$(c1)\$1%K\\\($$(c2)invite%K.$$(c1)\$2%K\\\)>]
@ format_dcc_connect = [$$G $$(c2)DCC %n$$2 connection with %w$$1%K[$$(c2)$$3, port $$4%K]%n established]
@ format_dcc_request = [$$G $$(c2)DCC %n$$2 %K\\\(%n$$3%K\\\) %nrequest from %w$$1%K[$$(c1)$$userhost() %K[$$(c3)$$4%K:$$(c3)$$5%K]]]
@ format_kick = [$$G $$1 was kicked off $$3 by $$(c3)$$2 %K\\\(%n$$4-%K\\\)]
@ format_ctcp_reply = [$$G CTCP %W$$2 %nreply from $$1: $$3-]  
@ format_server_notice = [%K!$$(c1)$$1%K! %n$$2-]
@ format_dcc_lost_chat = [$$G $$(c2)DCC %n$$2 with $$1 $$5]
@ format_dcc_lost_file = [$$G $$(c2)DCC %n$$2 with $$1 $$3 $$4 $$5]
@ format_dcc_done_file = [$$G $$(c2)DCC %W$$2 %K:$$(c2)$$3 %nto $$1 completed in %K\\\(%W$$4 kb/sec%K\\\)]
@ format_chops = [ %K[%n$$[10]2%K] %K[@$$(c2)$$[9]1%K] %K[%n$$before(@ $userhost($1))%K@%n$$after(@ $userhost($1))%K]] 
@ format_user_non = [ %K[%n$$[10]2%K] %K[$$(c2)$$[9]1%K] %K[%n$$before(@ $userhost($1))%K@%n$$after(@ $userhost($1))%K]]
@ format_user_vocs = [ %K[%n$$[10]2%K] %K[v$$(c2)$$[9]1%K] %K[%n$$before(@ $userhost($1))%K@%n$$after(@ $userhost($1))%K]]
@ format_public_notice = [%K-%n$$1%K:%n$$2%K-%n $$3-]
@ format_who=[$$(c1) $$[9]1 $$(c2) $$[9]2 $$(c1) $$[20]3 $$(cl)$$4$$(c1)@$$(cl)$$5]  
@ format_timestamp=[$$(hblk)[$$(cl)$$1$$(hblk)]$$(cl) ]
^on ^who * {
	xecho $fparse(format_who $0 $1 $5 $3 $4)   
}
^on ^msg_group * {echo $fparse(format_msg_group $0 $1 $2-)}
^on ^msg * {echo $fparse(format_msg $0 $userhost() $1-)}
^on ^send_msg * {echo $fparse(format_send_msg $0 $1-)}
^on ^channel_signoff * xecho $fparse(format_signoff $0 $1 $2-)
^on ^join * xecho $fparse(format_join $0 $1 $2) $Z
^on ^part * xecho $fparse(format_leave $0 $userhost() $1 $3-) $Z
^on ^mode * xecho $fparse(format_mode $0 $1 $2 $3-)
^on ^nickname * echo $fparse(format_nickname $0 $1)
^on ^invite * echo $fparse(format_invite $0 $1);echo $G press Ctrl-K to join;@invchan=[$1]
^on ^notice * {
         if (tolower($right(4 $0)) ==[serv]){
                 echo $fparse(format_notice $0 *@* $1-)
         }{
                 echo $fparse(format_notice $0 $userhost() $1-)
         }
 }           

^on ^public_notice * echo $fparse(format_public_notice $0 $1 $2-)
^on ^send_notice * echo $fparse(format_send_notice $0 $1-)
^on ^send_dcc_chat * echo $fparse(format_send_dcc_chat $0 $1-)
^on ^dcc_chat * echo $fparse(format_dcc_chat $0 $1-)
^on ^dcc_connect * echo $fparse(format_dcc_connect $0 $1 $2 $3 $4 $5) 
^on ^dcc_request * echo $fparse(format_dcc_request $0 $1 $2 $3 $4 $5 $6)
^on ^topic * {
	if ([$2]==[]) {
		echo $G topic unset by $0 on $1 
		}{
		echo $G $fparse(format_topic $0 $1 $2-)
	}
}
^on ^kick * echo $fparse(format_kick $0 $1 $2 $3-)
^on ^ctcp * xecho $fparse(format_ctcp $0 $userhost() $1 $2 $3 $4)
^on ^ctcp_reply * echo $fparse(format_ctcp_reply $0 $2 $3-)
^on ^send_ctcp * if ([$0]==[privmsg]&&[$2]!=[action]) {echo $fparse(format_send_ctcp $0 $1 $2 $3-)} 
^on ^wallop * echo $fparse(format_wallop $0 $1 $2-)

::nutbars dcc lost hooks
^on ^dcc_lost "% CHAT *" {
        xecho $fparse(format_dcc_lost_chat $0 $1 $2-)
}
^on ^dcc_lost '% \\[SEND GET\\] *' {
        @ :file = test(dcc_long_pathnames) ? [$2] : rightw(1 $split(/ $2))
        xecho $fparse(format_dcc_lost_file $0 $1 $file $3-)
}
^on ^dcc_lost '% \\[SEND GET\\] % % TRANSFER COMPLETE' {
        @ :file = test(dcc_long_pathnames) ? [$2] : rightw(1 $split(/ $2))
        xecho $fparse(format_dcc_done_file $0 $1 $file $3-)
}
::end nutbars dcc lost hooks.

^on ^471 * echo $G $(hblk)[$(cyn)$1$(hblk)]$(cl) channel is drunk/full
^on ^475 * echo $G $(hblk)[$(cyn)$1$(hblk)]$(cl) wrong key, keep trying
^on ^473 * echo $G $(hblk)[$(cyn)$1$(hblk)]$(cl) you're not invited 
^on ^329 * echo $G channel $(hblk)[$(hwht)$1$(hblk)]$(cl) created at $stime($2)
^on ^368 * echo $G $(hwht)$1$(cl) ban(s) on $(hwht)$2$(cl)
^on ^221 * echo $G your $(hwht)user$(cl) mode is "$(hwht)$1$(cl)"
^on ^341 * echo $G coercing $(hwht)$1$(cl) to $2
^on ^331 * abecho %K[%n$1%K]%n topic not set

::topic stuff
^on ^332 * xecho -b $(hblk)[$(hwht)t$(cl)opic$(hblk)/$(cl)$1$(hblk)]$(cl) $2-
^on ^333 * xecho -b $(hblk)[$(hwht)s$(cl)et by$(hblk)]$(cl) $2 at $(hblk)[$(cl)$stime($3)$(hblk)]
^on ^315 * #
^on ^305 * #

::banlist hooks
^on ^433 * xecho -b $1 $sar(g/:/$(hblk):$(cl) /$2) $3 $4 $5 $6
^on ^401 * xecho -b $1-
^on ^324 * #
^on ^306 * #
^on ^405 * abecho %K[%n$1%K]%n the fascist server won't let you join anymore chans!
^on ^441 * xecho -b $1 isn't on channel $2 
^on ^482 * abecho %K[%n$1%K]%n you need to be a chanop yo!
^on ^474 * abecho %K[%n$1%K]%n a fascist channel op has banned you. %K\(%n+b%K\)

::whois stuff


on ^311 * {
	xecho -v $fparse(format_whois_header) 
	xecho -v $fparse(format_whois_nick $1 $2 $3)  
	xecho -v $fparse(format_whois_name $5-)
}
on ^319 * xecho -v $fparse(format_whois_channels $2-)
on ^312 * xecho -v $fparse(format_whois_server $2 $3-)
on ^301 * xecho -v $fparse(format_whois_away $1-)
on ^317 * {
	xecho -v $fparse(format_whois_idle $2)
	xecho -v $fparse(format_whois_signon $1 $stime($3))
}

on ^318 * xecho -v $fparse(format_whois_footer)
on ^314 * { 
	xecho -v $fparse(format_whowas_header)
	xecho -v $fparse(format_whowas_nick $1 $2 $3)  
	xecho -v $fparse(format_whowas_name $5-)  
}
on ^338 * {
	xecho -v $fparse(format_whois_actual $1 $4 $5)
}
on ^308 * {
	xecho -v $fparse(format_whois_admin $1-)
}
on ^313 * {
	
  ^local rcl.
  @ rcl.0 = [has cobwebs spanning him and his computer]
  @ rcl.1 = [is most likely overweight and named after a clay cartoon figure]
  @ rcl.2 = [is a fascist]
  @ rcl.3 = [is a jewish irc warrior]
  @ rcl.4 = [epitomizes the pointlessness of irc]
  @ rcl.5 = [likes little children and small farm animals.]
  @ rcl.6 = [gave up his social life for irk.]
  @ rcl.7 = [isn't interested in you unless you're an eight year old male]
  @ rcl.8 = [is large and hairy and wants you to pick up his soap.]
  @ rcl.9 = [takes pleasure in setting his pubic hair alight]
  @ rcl.10 = ['s wife/girlfriend is a slut]
  @ rcl.11 = [reads PlayGirl in the toilet]
  @ rcl.12 = [is a leeto eyearesee pimp!#@!]
  @ rcl.13 = [is a member of the Hair Club for Men]
  @ rcl.14 = [says, "You're not fully clean unless you're anally clean!]
  @ rcl.15 = [is as helpful to the world as ebola is]
  @ rcl.16 = [kisses more ass than you]
  @ rcl.17 = [is clueless]
  @ rcl.18 = [loves you with all his heart]
  @ rcl.19 = [is a doodoo head]
  @ rcl.20 = [is a doodlekid]
  @ rcl.21 = [is a target for pie-tossing clowns]
  @ rcl.22 = ['s body hair is a mystery to science]
  @ rcl.23 = [wants you to bend over]
  @ rcl.24 = [voted for Bush]
  @ rcl.25 = ['s face is more plastic than flesh]
		$rcl[$rand(26)]
^randcl
xecho -v $fparse(format_whois_operator $1 $rcl[$rand(26)])
}
^on ^401 * { 
        xecho -v $fparse(format_whois_header)
	xecho -v $fparse(format_whois_unknown $1)
}
^on ^369 * {
	xecho -v $fparse(format_whowas_footer)
}
^on ^406 * { 
	xecho -v $fparse(format_whowas_header)  
	xecho -v $fparse(format_whowas_unknown $1)     
}

