package who
# dh
# elite format by dh
# /who /w etc... from enigma seems to have been written by dh, modified
# by zak... //zak

alias w who
alias who {//who ${# ? [$*] : T}}

^zset +format_who %K[%C%K] %c$[10]center(10 $2) %K\(%n$[35]center(35 $4%W@%n$5)%K\) %K[%n$[3]3%K] [%n$6%m/%c$7%K]
^zset +format_who_footer %C ---%c%C--%c%C-%c---%K%c--%K%c-%K--- --  -
^zset +format_who_header %C ---%c%C--%c%C-%c---%K%c--%K%c-%K--- --  -

^on ^who "*" {
        xecho $xparse(format_who $*)
}
^on ^315 "*" {
        xecho $xparse(format_who_footer $*)
}

alias zset switch ($*) {
	(-*) {
		@ :name = after(- $0)
		@ :item = getmatches(formats $name *)
		@ :item = numwords($item) ? item : getmatches(formats $name*)
		if (numwords($item) > 1) {
			zset $name
		} elsif (!numwords($item)) {
			xecho -s -b No such variable "$toupper($name)"
		} elsif ((item = shift(item)) > -1) {
			@ name = word(0 $getitem(formats $item))
			@ delitem(formats $item)
			xecho -s -b Value of $toupper($name) set to <EMPTY>
		}
	}
	(+% *) {
		@ :name = after(+ $0)
		@ :item = getmatches(formats $name *)
		if (!numwords($item)) {
			@ setitem(formats $numitems(formats) $name $1-)
			xecho -s -b Value of $toupper($name) set to $1-
		} elsif ((item = shift(item)) > -1) {
			@ name = word(0 $getitem(formats $item))
			@ setitem(formats $item $name $1-)
			xecho -s -b Value of $toupper($name) set to $1-
		}
	}
	(% *) {
		@ :name = [$0]
		@ :item = getmatches(formats $name *)
		@ :item = numwords($item) ? item : getmatches(formats $name*)
		if (numwords($item) > 1) {
			zset $name
		} elsif (!numwords($item)) {
			xecho -s -b No such variable "$toupper($name)"
		} elsif ((item = shift(item)) > -1) {
			@ name = word(0 $getitem(formats $item))
			@ setitem(formats $item $name $1-)
			xecho -s -b Value of $toupper($name) set to $1-
		}
	}
	(*) {
		@ :item = getmatches(formats $0 *)
		@ :item = numwords($item) ? item : getmatches(formats $0*)
		if (!numwords($item)) {
			xecho -s -b No such variable "$toupper($0)"
		} elsif (numwords($item) == 1) {
			@ item = getitem(formats $item)
			xecho -s -b Current value of $toupper($shift(item)) is $item
		} {
			if (#) {xecho -s -b $toupper($0) is ambiguous}
			fe ($numsort($igetmatches(formats $0*))) index {
				@ item = igetitem(formats $index)
				xecho -s -b Current value of $toupper($shift(item)) is $item
			}
		}
	}
}
alias xparse {
	eval return $cparse($restw(1 $getitem(formats $matchitem(formats $0 *))))
}
