subpackage oper
@ bindctl(sequence ^E set parse_command _spageu)
@ bindctl(sequence ^D set parse_command _spaged)

alias _spageu {
	@:_cwin=winnum()
	window ref operview
		parsekey SCROLL_BACKWARD
			window ref $_cwin
}

alias _spaged {
	@:_cwin=winnum()
    window ref operview
    	parsekey SCROLL_FORWARD
        	window ref $_cwin
}

alias _winnames {
	fe ($winrefs()) n1 {
		if (match($0 $winnam($n1)) > 0) {
			return $n1
			
		}{
			return 0
		}
	}
}

alias ovsize {   
        if (![$0]) {
                xecho -v [mod] (oper).. operview window size set to "$_ovsize" 
        }{
                @_ovsize=[$0]
                xecho -v [mod] (oper).. operview window size set to "$_ovsize" 
        }
}
                         
alias ovmode { 
        if (![$0]) {
        xecho -v [mod] (oper).. oper modes set to "$_ovmode"
        }{
        @_ovmode=[$0]
        xecho -v [mod] (oper).. oper modes set to "$_ovmode"
        }
}


alias operview {
	if (winnum(operview) != -1) {
		abecho $(hblk)[$(cl)EPIC$(hblk)/$(c1)$(hblk)]$(cl) toggled operview off.
			^window OperView kill
			^umode -$_ovmode
		
	}{
		
				abecho $(hblk)[$(cl)EPIC$(hblk)/$(c1)$(hblk)]$(cl) toggled operview on.
					^window new fixed on size $_ovsize name OperView level snotes,opnotes,wallops;umode +$_ovmode
#					^set status_server $(hblk)\([$(cl)%S$(hblk)]\)
					^set status_format $(hblk)[$(sc1)operview$(hblk)] $(cl)%>$(hblk)\([$(cl)$servername($winserv(OperView))$(hblk)]\)
					^window back
						
	}
}


alias doper {
	umode -o 
}

alias operwall {
	quote operwall :$*
}
alias locops {
	quote locops :$*
}
alias tkline {
	if (![$0]) {
		xecho -v [amnesiac] usage: /tkline <minutes> [nick|hostmask] <reason>
	}{
		quote kline $0 $1 :$2-
	}
}
alias kline {
	if (match(*@* $0)) {
		quote kline $0 :$1-
	}{
		if (getuhost($0)) {
			quote kline $sar(g/*!*//$mask(3 $getuhost($0))) :$1-
		}{
			obecho $0 no such nick. 
		}
	}
}

alias unkline {
	quote unkline $*
}

alias kill {
	quote kill $0 :$1-
}

alias mkill {
	if (![$0]) {
		fe ($remw($N $chanusers($C))) n1 {
			quote kill $n1 :bye
		}
	}{
		 fe ($remw($N $chanusers($C))) n1 {
      		quote kill $n1 :$*
		}
	} 	
}           

alias mkline {
	if (![$0]) {   
    	fe ($remw($N $chanusers($C))) n1 {
      		kline $n1
    	} 
    }{
     	fe ($remw($N $chanusers($C))) n1 {
      		kline $n1 $*
      	}           
    }
}

alias gline {
	quote gline $0 :$1-
}

alias cjupe {
	quote mode $0 +j
}
alias ucjupe {
	quote mode $0 -j
}

alias modlist {
quote modlist 
}
alias modload {
quote modload $*
}
alias modunload {
quote modunload $*
}

alias tfind  {
	^on ^206 * #
	^on ^204 * #
	^on ^206 * #	
	^on ^209 * #
	^on ^262 * #
	switch ($0) {
		(-kill) {
		@_khost=[$1]
		@_kreas=[$2-]
			if (match(*@* $_khost) || match(*.* $_khost)) {
				^trace
					^on ^205 * {
						if (match($_khost $sar(g/]//$after([ $3)))) {
							xecho -b killing $3
							if ([$_kreas]) {
							kill $before([ $3) $_kreas
							}{
							kill $before([ $3) goodbye.
							}
						}		
					}	
				
			}{
				^trace
					^on ^205 * {
						
						if (match($_khost $(before([ $3))!$(sar(g/]//$after([ $3))))) {
							xecho -b killing $3
							if ([$_kreas]) {
								kill $before([ $3) $_kreas	
							}{

								kill $before([ $3) goodbye					
							}
						}	
					}
			
			}
		}
		(-match) {
			@_mhost=[$1]
				^trace
					xecho      [amnesiac] /tfind match for $1
					banner.head
					^on ^205 * {
						
						if (match($_mhost $(before([ $4))!$(sar(g/]//$after([ $4))))) {
				
							banner.mid $1-
						}
					
					}
						^on ^204 * {
							if (match($_mhost $(before([ $4))!$(sar(g/]//$after([ $4))))) {
								banner.mid $1-
							}
						}
						^on ^262 * {		
							banner.foot
						}
		}





	}		
			wait
			^on ^203 -*
		    ^on ^204 -* 
			^on ^206 -*
			^on ^209 -*
			^on ^262 -* 
			^on ^205 -*
			^on ^262 -*
}


^on ^server_notice * {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$msar(g/!/%K!%n/Notice -- //\(/%K\(%n/\)/%K\)%n/[/%K[%n/]/%K]%n/@/%K@%n/./%K.%n/$2-)
}
^on ^server_notice "% % % % % % % % % /whois*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))%K[%n$9%K]%n on you requested by $4%K!%n$msar(g/@/%K@%n/\(//\)///$5) 	
}

^on ^server_notice "% % % % LINKS*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))%K[%nlinks $5%K]%n requested by $8%K!%n$msar(g/@/%K@%n/\(//\)///$9) $msar(g/[/%K[%n/]/%K]%n/$10)
}

^on ^server_notice "% % % % STATS*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))%K[%nstats '$5'%K]%n requested by $8%K!%n$msar(g/@/%K@%n/\(//\)///$9) $msar(g/[/%K[%n/]/%K]%n/$10)	
}

^on ^server_notice "% % % % % % % % % (O)*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$4%K!%n$msar(g/@/%K@%n/\(//\)///$5) is now a $8 $msar(g/\(/%K\(%n/\)/%K\)/$9)
}

^on ^server_notice "% % % % % exiting:*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))Client exiting: $6%K!%n$msar(g/@/%K@%n/\(//\)///$7) $sar(g/]/%K]%n/$sar(g/[/%K[%n/$8-))

}

^on ^server_notice "% % % % % connecting:*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))Client connecting: $6%K!%n$msar(g/@/%K@%n/\(//\)///$7) $msar(g/[/%K[%n/]/%K]%n/$8-)
}

^on ^server_notice "% % % % % % rehashing*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$4 is rehashing $7- 
}

^on ^server_notice "% % % % ADMIN*" {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))%K[%nAdmin%K]%n requested by $7%K!%n$msar(g/@/%K@%n/\(//\)///$8) $msar(g/[/%K[%n/]/%K]%n/$9-)	
}

^on ^server_notice "% % % % TRACE*" {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))%K[%nTrace%K]%n requested by $7%K!%n$msar(g/@/%K@%n/\(//\)///$8) $msar(g/[/%K[%n/]/%K]%n/$9-)	
}

^on ^server_notice "% % % % % % K-line*" {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$4 has added K-line for $msar(g/[/%K[%n/]/%K]%n/$8-)

}

^on ^server_notice "% % % % K-line*" {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))K-line active for $msar(g/@/%K@%n/\(//\)///$7)
}

^on ^server_notice "% % Looking up your hostname...*" {
	aecho %K[$(c1)$1%K]%n  $2-
}

^on ^server_notice "% % Checking Ident*" {
	aecho %K[$(c1)$1%K]%n  $2-
}

^on ^server_notice "% % Found your hostname*" {
  aecho %K[$(c1)$1%K]%n  $2-
}

^on ^server_notice "% % Got ident response*" {
  aecho %K[$(c1)$1%K]%n  $2-
} 

^on ^server_notice "% % No Ident response*" {         
  aecho %K[$(c1)$1%K]%n  $2-
} 

^on ^server_notice "% % Your host is*" {         
  aecho %K[$(c1)$1%K]%n  $2-
} 

^on ^server_notice "% % Couldn't look up your hostname*" {
aecho %K[$(c1)$1%K]%n  $2-
}

^on ^server_notice "% % % % % SQUIT*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$4 $5 $6 from $sar(g/@/%K@%n/$sar(g/]/%K]%n/$sar(g/[/%K[%n/$8))) $msar(g/\(/%K\(%n/\)/%K\)/$9-)
}

^on ^server_notice "% % Connecting to*" {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$2 $3 $sar(g/@/%K@%n/$sar(g/]/%K]%n/$sar(g/[/%K[%n/$4-)))
}

^on ^server_notice "% % % % % was connected*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$sar(g/./%K.%n/$4) $5 $6 $7 $8 $9 $10-
}

^on ^server_notice "% % % % Link with*" {
	aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))Link $5 $msar(g/./%K.%n/[/%K[%n/]/%K]%n/\(/%K\(%n/\)/%K\)%n/@/%K@%n/$6) $7-
}

^on ^server_notice "% % % % % % already present*" {
	aecho %K[$(c1)$1%K]%n  $4$fparse(format_timestamp_some $($_timess))$5 $6 $7 from $msar(g/./%K.%n/[/%K[%n/]/%K]%n/\(/%K\(%n/\)/%K\)%n/@/%K@%n/$9)
}

^on ^server_notice "% % % connect to*" {
aecho %K[$(c1)$1%K]%n $fparse(format_timestamp_some $($_timess))$2 $3 $4 $msar(g/@/%K@%n/./%K.%n/$5-)
} 

^on ^382 * {
	abecho $1-
}
#^on ^364 * {
#	abecho $1-
#}

^on ^365 * {
	abecho $1 $2 of links list.
} 

^on ^243 * {
 abecho $msar(g/./%K.%n/@/%K@%n/$1-)
}
^on ^219 * {
	abecho $1 $2 of stats list.
}