subpackage query

/*
 * Copyright (c) 2003 Brian Weiss <brian@epicsol.org>
 * All rights reserved.
 *
 * This script uses serial number 835 for all /ON hooks.
 */

/****** CONFIG SECTION ******/

assign AUTO_QUERY 1
assign AUTO_QUERY_WINDOW_ARGS double on hide

on #-msg 835 "*" { _autoquery $0 $userhost(); }
on #-send_msg 835 "*" { _autoquery $0 $userhost(); }

alias _autoquery (nick, uhost, void) {
	if (!nick || uhost == [<UNKNOWN>@<UNKNOWN>]) {
		return
	}
	if (AUTO_QUERY && querywin($nick $lastserver()) == -1) {
		window new name $nick query $nick $AUTO_QUERY_WINDOW_ARGS
		xecho -b New query window created for $nick
	}
}
