package binds
::binds

@ bindctl(sequence ^R set scroll_end)
@ bindctl(sequence ^K set parse_command ^join $$invchan)
@ bindctl(sequence ^X set switch_channels)
@ bindctl(sequence ^G set self_insert)
@ bindctl(sequence ^Z set switch_query)

#dcc...
@ bindctl(sequence ^T set parse_command dcc.get)
@ bindctl(sequence ^R set parse_command dcc.reject)

#window binds. screen like binds for xavier.
alias win.newwin {window new double on hide;window swap last}
@ bindctl(sequence ^W1 set parse_command window swap 1)   
@ bindctl(sequence ^W2 set parse_command window swap 2)   
@ bindctl(sequence ^W3 set parse_command window swap 3)   
@ bindctl(sequence ^W4 set parse_command window swap 4)   
@ bindctl(sequence ^W5 set parse_command window swap 5)   
@ bindctl(sequence ^W6 set parse_command window swap 6)   
@ bindctl(sequence ^W7 set parse_command window swap 7)   
@ bindctl(sequence ^W8 set parse_command window swap 8)   
@ bindctl(sequence ^W9 set parse_command window swap 9)   
@ bindctl(sequence ^W0 set parse_command window swap 10)  
@ bindctl(sequence ^Wa set parse_command window swap last)
@ bindctl(sequence ^Wc set parse_command win.newwin) 
@ bindctl(sequence ^W^c set parse_command win.newwin)
@ bindctl(sequence ^Wk set parse_command window killswap)
@ bindctl(sequence ^Wl set parse_command window list)
@ bindctl(sequence ^Wn set swap_next_window)
@ bindctl(sequence ^Wp set swap_previous_window)
@ bindctl(sequence ^W^ set swap_next_window)
@ bindctl(sequence ^WC set parse_command clear all)
@ bindctl(sequence ^W^X set parse_command window swap last)

#some other kinda weird bindings for some terms/others...
@ bindctl(sequence ^[^I set PARSE_COMMAND ^window next)
@ bindctl(sequence ^[1 set PARSE_COMMAND ^window swap 1)
@ bindctl(sequence ^[2 set PARSE_COMMAND ^window swap 2)
@ bindctl(sequence ^[3 set PARSE_COMMAND ^window swap 3)
@ bindctl(sequence ^[4 set PARSE_COMMAND ^window swap 4)
@ bindctl(sequence ^[5 set PARSE_COMMAND ^window swap 5)
@ bindctl(sequence ^[6 set PARSE_COMMAND ^window swap 6)
@ bindctl(sequence ^[7 set PARSE_COMMAND ^window swap 7)
@ bindctl(sequence ^[8 set PARSE_COMMAND ^window swap 8)
@ bindctl(sequence ^[9 set PARSE_COMMAND ^window swap 9)
@ bindctl(sequence ^[0 set PARSE_COMMAND ^window swap 10)
@ bindctl(sequence ^S set parse_command wc)
