subpackage userlist

## based on void/codelogic's autobot

## taken from epic dist scripts dir
^alias clean foreach $0 ii { ^assign -$0[$ii] }

# /purge <structure name>
# removes all assignments under that name recursively.
^alias purge {
  foreach $0 ii
  {
    purge $0.$ii
  }
  ^assign -ii
  ^assign -$0
}
## end of ripped code
^eval load $frsavefile

#misc various compat aliases... //zak
alias listuser userlist
alias deluser unuser $*
alias addf adduser $*
alias listf userlist   
alias delf deluser $*   
alias remf deluser $*
#end compat.

alias adduser {
	if (![$1]) {
	banner.lchead 
	banner.mid syntax: /adduser [nick|ident@host] #channel userlevel1,userlevel2,userlevel3 ... password 
	banner.lcfoot valid userlevels are ops iops invite voice deop
}{
	@ :input1 = [$0]
	if (ismask($input1)) {
		@ friendhost = input1
		 
	} else { 
		if (!getuhost($input1)) { echo $banner $input1 is not on irc! }{
		@ friendhost = sar(g/~/\*/$getuhost($input1))
		@ friendnick = [$input1]
	}}
	if (friendhost) {
		@ :fchan = [$1]
		@ :pass = [$encode($3)]
		@ :flags = [$2]
		@ setitem(friends 0 !)
		@ setitem(friends $numitems(friends) $friendhost $fchan $flags $pass)
		banner.lchead
		banner.mid added $friendhost $fchan $flags $decode($pass)
		banner.lcfoot
		}
	}
}
alias userlist {
	
	if (numitems(friends)<2) { 
		banner.lchead
		banner.mid the userlist is empty! 
		banner.lcfoot
		} {
        banner.lchead
	banner.mid $(hblk)[$(c2)n$(c1)um$(hblk)] $(hblk)[$_pad(29 $(c2)u$(c1)serhost)$(hblk)] $(hblk)[$_pad(2 $(c2)c$(c1)hannel)$(hblk)] $(hblk)[$(c2)f$(c1)lags$(hblk)]

	for (@xx=1, xx<numitems(friends), @xx++)
        {
		@ :chan = word(1 $getitem(friends $xx)) 
       		@ :uhost = word(0 $getitem(friends $xx))
	        @ :pass = word(3 $getitem(friends $xx))
		@ :flags = word(2 $getitem(friends $xx))
	
		banner.mid $(hblk)[$(c1)$[3]xx$(hblk)]$(cl) $[40]uhost $[11]chan $flags 
	}	
		banner.lcfoot
	
	
	}
}

@frsavefile=[$(savepath).a.friends]
alias usersave {
	@frsavefile=[$(savepath).a.friends]
	@ rename($frsavefile $frsavefile~)
    @ savec = open($frsavefile W T)
    @ write($savec ** friends file - saved $strftime($time() %D %T))
		for (@xx=0, xx<numitems(friends), @xx++) {
		@ write($savec @friends.$xx=[$getitem(friends $xx)])
		}
		@ close($savec)
       		xecho -v [mod] (userlist).. saved to $frsavefile
 }
alias unuser userdel
alias userdel if ([$0]) {
	if (numitems(friends)<=[$0]) {
		echo $banner no such user! 
	}{ 
			xecho -b deleted userlist entry $getitem(friends $0)
			@ delitem(friends $0)
	}
}{
	echo $banner usage: /userdel <user number>
}

alias userload	{
	^eval load $frsavefile
	@ delarray(friends)
    @ setitem(friends 0 !)
    @ ii = 1
    	while (friends[$ii]) {
        @ setitem(friends $ii $friends[$ii])
        @ ii++
        }
}

on #-join 34 * {
	if (N != [$0]) {
	^local ojchan $1
	^local ojblah $getmatches(friends *$ojchan*)
  		fe ($ojblah) ii {
		@ojhost[$ii] = getitem(friends $ii)
		}
			foreach ojhost xx {
				if (rmatch($userhost($0) $word(0 $ojhost[$xx])) > 0) {
				^local ojtemp1 $ojhost[$xx]
				^clean ojhost
				}
			}
				^local ojtemp2 $word(0 $ojtemp1)
				^local ojtemp4 $sar(g/,/ /$word(2 $ojtemp1))
					if (match(iops $ojtemp4) > 0) {
					@ojtemp3 = word(1 $ojtemp1)
						if (ischanop($N $1) && [$1] == ojtemp3 && match(iops $ojtemp4) > 0 && match($ojtemp2 $userhost($0)) > 0) {
							abecho [mod] (user).. Userlist matched hostmask: $sar(g/@/%K@%n/$ojtemp2) has joined $1
							abecho [mod] (user)..	Auto-oping if not op'd in $_ss seconds.
								^timer $_ss {
									if (!ischanop($0 $1)) {
										^mode $1 +o $0;^timer -delete 451;^timer -refnum 451 $_ss {^assign -ojtemp3}
									}
						}			
					}

	
		}
	}
}

^on #-join 23 * {
	if (N != [$0]) {
	^local avchan $1
	^local avblah $getmatches(friends *$avchan*)
  		fe ($avblah) ii {
		@avhost[$ii] = getitem(friends $ii)
		}
			foreach avhost xx {
				if (rmatch($userhost($0) $word(0 $avhost[$xx])) > 0) {
				^local avtemp1 $avhost[$xx]
				}	
			}
				^local avtemp2 $word(0 $avtemp1)
				^local avtemp3 $word(1 $avtemp1)
				^local avtemp4 $sar(g/,/ /$word(2 $avtemp1))
					if (ischanop($N $avchan) && [$1] == avtemp3 && match(voice $avtemp4) > 0 && match($avtemp2 $userhost($0)) > 0) {
						abecho [mod] (user).. Userlist matched hostmask: $sar(g/@/%K@%n/$avtemp2) voicing user on $1
							^mode $avtemp3 +v $0;clean avhost
					}
	}	
}


^on #-ctcp 43 "% % INVITE*" {
	^local ichan $3
	^local ipass $4
	^userhost $0 -cmd {
    	if ([$3@$4] != [<UNKNOWN>@<UNKNOWN>]) {
	    ^local invhost $3@$4
        ^local iblah $getmatches(friends *$ichan*)
         	fe ($iblah) ii {
            @ihost[$ii] = getitem(friends $ii)
            }
            	foreach ihost xx {
                	if (rmatch($invhost $word(0 $ihost[$xx])) > 0) {
                	^local itemp1 $ihost[$xx]
					}
				}
					^local itemp2 $word(0 $itemp1)
                	^local itemp3 $word(1 $itemp1)
                	^local itemp4 $sar(g/,/ /$word(2 $itemp1))
                	^local itemp5 $decode($word(3 $itemp1))
						if (ischanop($N $ichan) && ichan == itemp3 && match(invite $itemp4) > 0 && ipass == itemp5 && match($itemp2 $invhost) > 0) {
  							abecho [mod] (user).. $0%K!%n$invhost matches userlist, inviting him to $vchan
								^notice $0 inviting you to $ichan 
								^invite $0 $itemp3;clean ihost
      					}{
							^notice $0 [amnesiac] bad password or channel or you are not on my userlist 
						}	
		
			}
		}
}

^on #-ctcp 43 "% % OP*" {
	^local ochan $3
	^local opass $4
		^userhost $0 -cmd {
        	if ([$3@$4] != [<UNKNOWN>@<UNKNOWN>]) {
	        ^local ophost $3@$4
             @ oblah = getmatches(friends *$ochan*)
				fe ($oblah) ii {
                @ohost[$ii] = getitem(friends $ii)
                }
                	foreach ohost xx {
                		if (rmatch($ophost $word(0 $ohost[$xx])) > 0) {
                		^local otemp1 $ohost[$xx]
						}
					}
						^local otemp2 $word(0 $otemp1)
                		^local otemp3 $word(1 $otemp1)
                		^local otemp4 $sar(g/,/ /$word(2 $otemp1))
                		^local otemp5 $decode($word(3 $otemp1))
							if (ischanop($N $ochan) && ochan == otemp3 && match(ops $otemp4) > 0 && opass == otemp5 && rmatch($ophost $otemp2) > 0) {
      							abecho [mod] (user).. $0%K!%n$ophost matches userlist, oping on $ochan
									^mode $otemp3 +o $0;clean ohost
      						}{
								^notice $0 [amnesiac] bad password or channel or you are not on my userlist
							}
		}
	}
}

^on #-ctcp 43 "% % VOICE*" {
	^local vchan $3
	^local vpass $4
	^userhost $0 -cmd {
     	if ([$3@$4] != [<UNKNOWN>@<UNKNOWN>]) {
	    	^local vphost $3@$4
            ^local vblah $getmatches(friends *$vchan*)
            	fe ($vblah) ii {
                @vhost[$ii] = getitem(friends $ii)
                }
                	foreach vhost xx {
                		if (rmatch($vphost $word(0 $vhost[$xx])) > 0) {
                		^local vtemp1 $vhost[$xx]
						}
					}
						^local vtemp2 $word(0 $vtemp1)
                		^local vtemp3 $word(1 $vtemp1)
                		^local vtemp4 $sar(g/,/ /$word(2 $vtemp1))
                		^local vtemp5 $decode($word(3 $vtemp1))
							if (ischanop($N $vchan) && vchan == vtemp3 && match(voice $vtemp4) > 0 && vpass == vtemp5 && rmatch($vphost $vtemp2) > 0) {
        						abecho [amnesiac] (user).. $0%K!%n$vphost matches userlist, voicing on $vchan
									^mode $vtemp3 +v $0;clean vhost
         					}{
								^notice $0 [amnesiac] bad password or channel or you are not on my userlist 
							}
		}
	}
}

 ^on #-mode_stripped 3 "% % -o %" {
	if (N != [$0]) {
		^local odeopnick $0
		^local deopchan $1
		^local deopnick $3
		^local deophost $userhost($3)
		^local deopmatch $getmatches(friends *$deopchan*)
			fe ($deopmatch) ii {
				@deopline[$ii] = [$getitem(friends $ii)]
			
			}
				foreach deopline xx {
					if (rmatch($deophost $word(0 $deopline[$xx])) > 0) {
						^local deoptemp1 $deopline[$xx] 
                	}
            	}
						^local deoptemp2 $word(0 $deoptemp1)
						^local deoptemp3 $word(1 $deoptemp1)
						^local deoptemp4 $sar(g/,/ /$word(2 $deoptemp1))
							if (ischanop($N $deoptemp3) && deoptemp3 == deopchan && match(deop $deoptemp4) > 0 && rmatch($deophost $deoptemp2) > 0) {
								abecho [mod] (user).. $deopnick%K!%n$deophost matches userlist, deoping $odeopnick on $deopchan
								^mode $deoptemp3 -o $odeopnick
								^mode $deoptemp3 +o $deopnick;clean deopline
								^notice $odeopnick deop'd protected user $deopnick on $deoptemp3
								
							}
					

	}
}


^userload
